Update Loyalty Program Customer Points
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"points": 123
}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({points: 123})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add"
payload = { "points": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Update Loyalty Program Customer Points
Add Reward Points to Customer Account
Adds a specified number of reward points to a customer’s account within a loyalty program.
Path Parameters:
programId: UUID of the loyalty programcustomerId: UUID of the customer
Request Body:
points: Number of points to add
Returns:
- Updated customer details with new points total as a JSON object.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
{customerId}
/
points
/
add
Update Loyalty Program Customer Points
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"points": 123
}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({points: 123})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/points/add"
payload = { "points": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
